package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CompanyInfoDetail;


/**
*  service接口类
*/
public interface CompanyInfoDetailService{

    List<CompanyInfoDetail> getCompanyInfoDetailList(CompanyInfoDetail record);

    List<CompanyInfoDetail> getCompanyInfoDetailByPage(Page page, CompanyInfoDetail record);

    CompanyInfoDetail getCompanyInfoDetailById(String id);

    CompanyInfoDetail getCompanyInfoDetail(CompanyInfoDetail record);

    boolean createCompanyInfoDetail(CompanyInfoDetail record);

    boolean deleteCompanyInfoDetail(CompanyInfoDetail record);

    boolean updateCompanyInfoDetail(CompanyInfoDetail record);
}

